> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves All Menu Items

> Returns a list of all active menus all their menu items



## OpenAPI

````yaml xm_v1 get /menu/items
openapi: 3.0.0
info:
  version: 1.0.0
  description: >-
    Design, deploy, and manage experiences for all your digital storefronts with
    fabric XM, a headless e-commerce CMS. Design and develop components in your
    storefront to give your merchandisers and marketers the building blocks they
    need to create pages for products, promotions, and campaigns.
  title: Experiences v1 (XM v1)
  contact:
    email: support@fabric.inc
  license:
    name: fabric Inc
    url: https://fabric.inc/api-license
servers:
  - url: https://cdn.xm.fabric.inc/api
security: []
tags:
  - name: Pages
    description: >-
      XM Pages API allows you to fetch all the live pages, or a live page by a
      specific URL
  - name: Global Components
    description: >-
      XM Global Components API allows you to fetch all the live global component
      data
  - name: Menu
    description: XM Menu API allows you to fetch menus and their items
paths:
  /menu/items:
    get:
      tags:
        - Menu
      summary: Retrieves All Menu Items
      description: Returns a list of all active menus all their menu items
      operationId: getAllActiveMenus
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                description: 200 response object
                properties:
                  status_code:
                    type: integer
                    description: The response status code
                  status:
                    type: string
                    description: Status message
                  data:
                    type: object
                    description: The data object holding the list of menus and menu items
                    properties:
                      MenuList:
                        type: array
                        description: The array of menus and their items
                        items:
                          $ref: '#/components/schemas/MenuItem'
              example:
                status_code: 200
                status: List of active menus
                data:
                  MenuList:
                    - id: 61110b8d3e136500082f5d42
                      label: Gifts + Holiday
                      order: 1
                      isActive: true
                      channel:
                        - 12
                      path: /c/gifts
                      params:
                        - _id: 61110bba873a390008d3a2fe
                          kind: context
                          value: gifts
                      children:
                        - id: 61110bcb3e136500082f5d48
                          label: Gifts by Price
                          order: 1
                          isActive: true
                          channel:
                            - 12
                          path: /c/gifts/gifts-by-price
                          params:
                            - _id: 61110bdd873a390008d3a303
                              kind: context
                              value: gifts_gifts-by-price
                          children:
                            - id: 61110bf93e136500082f5d4d
                              label: Gifts Under $250
                              order: 1
                              isActive: true
                              channel:
                                - 12
                              path: /c/gifts/gifts-by-price/gifts-under-250
                              params:
                                - kind: context
                                  value: gifts_gifts-by-price_gifts-under-250
                              children: []
                            - id: 61110c1a3e136500082f5d52
                              label: Gifts Under $500
                              order: 2
                              isActive: false
                              channel:
                                - 12
                              path: /c/gifts/gifts-by-price/gifts-under-500
                              params:
                                - kind: context
                                  value: gifts_gifts-by-price_gifts-under-500
                              children: []
                        - id: 61110c3e3e136500082f5d56
                          label: Dining + Entertainment
                          order: 3
                          isActive: true
                          channel:
                            - 12
                          path: /
                          params: []
                          children:
                            - id: 61110c513e136500082f5d5b
                              label: All Dining + Entertainment
                              order: 1
                              isActive: true
                              channel:
                                - 12
                              path: /content/shop/dining-entertaining
                              params:
                                - kind: ''
                                  value: ''
                              children: []
        '404':
          description: Menu not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: MENU_NOT_FOUND
                message: No menu entry found.
        '500':
          description: The request was received but an internal error occurred
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: INTERNAL_SERVER_ERROR
                message: >-
                  An internal error occurred. If the issue persists please
                  contact support@fabric.inc.
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  schemas:
    MenuItem:
      type: object
      description: The menu item object
      properties:
        id:
          type: string
          description: The database id associated with the menu item
        label:
          type: string
          description: The menu item label
        order:
          type: integer
          description: The position the menu item appears in the UI
        isActive:
          type: boolean
          description: True if the menu item is active; false otherwise
        channel:
          type: array
          description: A deprecated field holding channel information
          items:
            type: integer
            description: The channel identifier
        path:
          type: string
          description: The relative menu item url path
        params:
          type: array
          description: List of additional data associated with the menu item
          items:
            type: object
            description: Additional data associated with the menu item
            properties:
              kind:
                type: string
                description: A description for the parameter
              value:
                type: string
                description: The value for the parameter
        children:
          type: array
          description: The list of child menu items
          items:
            $ref: '#/components/schemas/MenuItem'
    Error:
      type: object
      description: The server error response object
      properties:
        code:
          type: string
          description: The code associated with the type of server error
        message:
          type: string
          description: The message associated with the server error
      required:
        - code
        - message

````